Subject: Re: bug#30792: 26.0.91; improve docstring of with-help-window

From: martin rudalics <[email-masked]>
Date: Tue, 13 Mar 2018 11:17:17 +0100

> I find the docstring of `with-help-window' a little hard to follow, so I
 > had a go at improving it. This also renames the var BUFFER-NAME to
 > BUFFER-OR-NAME to match `with-temp-buffer-window' and others.

Thanks.  I can see only part of that renaming in your patch.  Am I
something missing?

martin

 > --- a/lisp/help.el	2018-03-13 19:52:32.000000000 +1300
 > +++ b/lisp/help.el	2018-03-13 21:54:07.000000000 +1300
 > @@ -1370,15 +1370,20 @@
 >
 >   ;; (4) A marker (`help-window-point-marker') to move point in the help
 >   ;;     window to an arbitrary buffer position.
 > -(defmacro with-help-window (buffer-name &rest body)
 > -  "Display buffer named BUFFER-NAME in a help window.
 > -Evaluate the forms in BODY with standard output bound to a buffer
 > -called BUFFER-NAME (creating it if it does not exist), put that
 > -buffer in `help-mode', display the buffer in a window (see
 > -`with-temp-buffer-window' for details) and issue a message how to
 > -deal with that \"help\" window when it's no more needed.  Select
 > -the help window if the current value of the user option
 > -`help-window-select' says so.  Return last value in BODY."
 > +(defmacro with-help-window (buffer-or-name &rest body)
 > +  "Show buffer BUFFER-OR-NAME with output of BODY in a help window.
 > +Make the buffer specified by BUFFER-OR-NAME empty (or create it
 > +if it does not exist).  Evaluate BODY with `standard-output' bound
 > +to that buffer, so that output from `prin1' and similar functions
 > +in BODY go into that buffer.  The buffer is not made current while
 > +BODY is evaluated.  Finally, display the buffer in a window and
 > +put it in `help-mode'.  Return the value returned by BODY.
 > +
 > +The help window will be selected if `help-window-select' is
 > +non-nil.  However, if the help window displays on a different
 > +frame, the window manager may automatically select that frame.
 > +
 > +See `with-temp-buffer-window' for more details."
 >     (declare (indent 1) (debug t))
 >     `(progn
 >        ;; Make `help-window-point-marker' point nowhere.  The only place